Skip to main content
POST
/
api
/
v1
/
webhooks:test
TestWebhook
curl --request POST \
  --url https://your-sift-api-url.com/api/v1/webhooks:test \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "webhookId": "<string>"
}
'
{
  "httpResponseCode": 123,
  "httpResponseBody": "aSDinaTvuI8gbWludGxpZnk="
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

The request for a call to WebhookService_TestWebhook to test an existing webhook or a webhook create request.

The request for a call to WebhookService_TestWebhook to test an existing webhook or a webhook create request.

webhookId
string
webhook
object
createRequest
object

The request for a call to WebhookService_CreateWebhook to create a webhook.

Response

A successful response.

The response of a call to WebhookService_TestWebhook. The response code and body will come from the HTTP response from the target URL.

httpResponseCode
integer<int64>
required
httpResponseBody
string<byte>
required